Skip to main content
GET
List broker EndUsers with deal summary information

Authorizations

x-api-key
string
header
required

Query Parameters

heron_id
string | null

Unique ID generated by Heron

Example:

"eus_ACmBPMRohD55tSzHmWnyyS"

end_user_id
string | null

Filter by ID associated with end_user_id field in transactions

Example:

"your_end_user_id"

name
string | null

Filter by name associated with end user

Example:

"your_end_user_name"

status
enum<string> | null

Filter by status of end user

Available options:
new,
ready,
processed,
reviewed,
review_requested,
failed,
null
Example:

"reviewed"

tags
string[] | null

Filter by tag Heron IDs. End users holding any active requested tag are returned. Unknown and soft-deleted tag IDs do not match any end users.

page
integer | null

Pagination page number (optional). If provided, 'limit' must also be provided.

Required range: x >= 1
limit
integer | null

Pagination limit per page (optional). If provided, 'page' must also be provided.

Required range: 1 <= x <= 10000
order_by
enum<string>
default:last_updated_desc

Order to return broker end users by

Available options:
last_updated_desc,
last_updated_asc,
created_desc,
created_asc,
latest_activity_desc
is_portfolio
boolean | null

Whether the end user is part of a lending portfolio

Example:

true

include_data_sources
boolean
default:false

Whether the to include data sources for each end user

Example:

true

include_scorecard_metrics
boolean
default:false

Whether to include scorecard metrics for each end user (under field criteria)

Example:

true

include_tags
boolean
default:false

Whether to include the tags applied to each end user

Example:

true

with_policy_result
any | null
Available options:
passed,
failed,
review_required,
missing_data,
null
with_crm_sync_result
any | null
Available options:
success,
failure,
no_sync_attempted,
null
in_human_review
boolean | null

Filter by whether an active document is pending human review

interval_start
string<date-time> | null
interval_end
string<date-time> | null
include_updates_in_interval
boolean
default:false

When true, interval_start and interval_end match end users created or last updated within the window. Bounds are inclusive only when this flag is true.

broker_classification
any | null

Filter by broker intake classification.

Available options:
submission,
decision,
other,
null
deal_stage
any | null

Filter by broker deal stage.

Available options:
ready,
missing_docs,
shopped,
offers_in,
null

Response

OK

_meta
object
end_users
object[]